| Home | Libraries | People | FAQ | More

## Type definition system_error

system_error

## Synopsis

    // In header: <boost/dll/config.hpp>

    typedef std::conditional_t< BOOST_DLL_USE_STD_FS, std::system_error, boost::system::system_error > system_error;

## Description

Alias to `std::system_error` if BOOST_DLL_USE_STD_FS is defined by user. Alias to `boost::system::system_error` otherwise.